Name:		system-config-selinux
Version:	2.0.62
Release:	13%{?dist}
Summary:	SELinux configuration GUI
Group:		System Environment/Base
License:	GPLv2+
URL:		http://fedorahosted.org/system-config-selinux/
Source0:	http://fedorahosted.org/released/system-config-selinux/%{name}-%{version}.tar.bz2
Source1:	system-config-selinux.desktop
Source2:	selinux-polgengui.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
Requires:	policycoreutils-python
Requires:	gnome-python2-gnome, pygtk2, pygtk2-libglade, gnome-python2-canvas
Requires:	usermode-gtk
Requires:	setools-console
Requires:	selinux-policy
Requires:	python >= 2.6
Provides:	policycoreutils-gui = %{version}-%{release}
Obsoletes:	policycoreutils-gui < 2.0.62-13

BuildArch:	noarch
%description
system-config-selinux is a utility for managing the SELinux environment


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
ln -sf consolehelper %{buildroot}%{_bindir}/system-config-selinux
ln -sf consolehelper %{buildroot}%{_bindir}/selinux-polgengui
desktop-file-install --vendor fedora \
 --dir %{buildroot}%{_datadir}/applications \
 --add-category Settings \
 ${SOURCE1}

desktop-file-install --vendor fedora \
 --dir %{buildroot}%{_datadir}/applications \
 %{SOURCE2}
rm -rf %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/system-config-selinux
%{_bindir}/selinux-polgengui
%{_bindir}/sepolgen
%{_datadir}/applications/fedora-system-config-selinux.desktop
%{_datadir}/applications/fedora-selinux-polgengui.desktop
%dir %{_datadir}/system-config-selinux
%dir %{_datadir}/system-config-selinux/templates
%{_datadir}/system-config-selinux/*.py*
%{_datadir}/system-config-selinux/selinux.tbl
%{_datadir}/system-config-selinux/*png
%{_datadir}/system-config-selinux/*.glade
%{_datadir}/system-config-selinux/templates/*.py*
%config(noreplace) %{_sysconfdir}/pam.d/system-config-selinux
%config(noreplace) %{_sysconfdir}/pam.d/selinux-polgengui
%config(noreplace) %{_sysconfdir}/security/console.apps/system-config-selinux
%config(noreplace) %{_sysconfdir}/security/console.apps/selinux-polgengui



%changelog
* Tue Jun 09 2009 Roman Rakus <rrakus@redhat.com> - 2.0.62-13
- Initial packaging
- separated from policycoreutils (was policycoreutils-gui)

